package com.fjhx.service.supplier;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.entity.supplier.SupplierPrice;
import com.fjhx.params.supplier.SupplierPriceVo;
import com.fjhx.base.BaseService;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 供应商价格 服务类
 * </p>
 *
 * @author ${author}
 * @since 2022-11-25
 */
public interface SupplierPriceService extends BaseService<SupplierPrice> {

    Page<SupplierPrice> getPage(Map<String, Object> condition);

    void add(SupplierPriceVo supplierPriceVo);

    void edit(SupplierPriceVo supplierPriceVo);

    void delete(SupplierPriceVo supplierPriceVo);

    List<SupplierPrice> getList(Map<String, Object> condition);
}
